Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jreqtools
Class ColorRequester

    java.lang.Object
      |
      +--jreqtools.AbstractRequester
            |
            +--jreqtools.ColorRequester

public class ColorRequester
extends AbstractRequester

This is a requester for colors.

Author:
  Markus Hillenbrand

Fields inherited from class jreqtools.AbstractRequester
`CANCEL, listener, OK`

Constructor Summary
`ColorRequester()` Constructs a new StringRequester.
`ColorRequester(java.awt.Color defaultcolor)` Constructs a new StringRequester.
`ColorRequester(java.lang.String title)` Constructs a new StringRequester.
`ColorRequester(java.lang.String title, java.awt.Color defaultcolor)` Constructs a new StringRequester.

Method Summary
`protected javax.swing.JDialog` | `createJDialog(javax.swing.JFrame parent)`
`java.awt.Color` | `getColor()`
`int` | `getReturnValue()`
`void` | `setColor(java.awt.Color newcolor)`

Methods inherited from class jreqtools.AbstractRequester
`addHelpButton, addHelpButton, getLocation, getSize, request, request, setLocation, setLocation, setParentComponent, setSize, setSize, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorRequester

    public ColorRequester()

  Constructs a new StringRequester.

### ColorRequester

    public ColorRequester(java.lang.String title)

  Constructs a new StringRequester.
  Parameters:
    `message` - - The message to be shown in the requester.
    `defaultstring` - - The initial value of the text field.

### ColorRequester

    public ColorRequester(java.awt.Color defaultcolor)

  Constructs a new StringRequester.
  Parameters:
    `defaultstring` - - The initial value of the text field.

### ColorRequester

    public ColorRequester(java.lang.String title,
                          java.awt.Color defaultcolor)

  Constructs a new StringRequester.
  Parameters:
    `title` - - Title of the requester.
    `message` - - The message to be shown in the requester.
    `defaultstring` - - The initial value of the text field.

Method Detail

### createJDialog

    protected javax.swing.JDialog createJDialog(javax.swing.JFrame parent)

  Overrides:
    `createJDialog` in class `AbstractRequester`

### getColor

    public java.awt.Color getColor()

### getReturnValue

    public int getReturnValue()

  Overrides:
    `getReturnValue` in class `AbstractRequester`

### setColor

    public void setColor(java.awt.Color newcolor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD